STOFFEmbeddedObject Struct Reference documentation

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | Friends | List of all members
STOFFEmbeddedObject Struct Reference

small class use to define a embedded object More...

`#include <libstaroffice_internal.hxx>`

## Public Member Functions
| STOFFEmbeddedObject ()
| empty constructor More...
| STOFFEmbeddedObject (librevenge::RVNGBinaryData const &binaryData, std::string type="image/pict")
| constructor More...
virtual | ~STOFFEmbeddedObject ()
| destructor More...
bool | isEmpty () const
| return true if the picture contains no data More...
void | add (librevenge::RVNGBinaryData const &binaryData, std::string type="image/pict")
| add a picture More...
bool | addTo (librevenge::RVNGPropertyList &propList) const
| add the link property to proplist More...
bool | addAsFillImageTo (librevenge::RVNGPropertyList &propList) const
| add the link property to a graph style as bitmap More...
int | cmp (STOFFEmbeddedObject const &pict) const
| a comparison function More...

## Public Attributes
std::vector< librevenge::RVNGBinaryData > | m_dataList
| the picture content: one data by representation More...
std::vector< std::string > | m_typeList
| the picture type: one type by representation More...

## Friends
std::ostream & | operator<< (std::ostream &o, STOFFEmbeddedObject const &pict)
| operator<< More...

## Detailed Description

small class use to define a embedded object

Note
  mainly used to store picture

## Constructor & Destructor Documentation

STOFFEmbeddedObject::STOFFEmbeddedObject | ( |  | ) |
| inline

empty constructor

STOFFEmbeddedObject::STOFFEmbeddedObject | ( | librevenge::RVNGBinaryData const & | binaryData,
|  | std::string | type = `"image/pict"`
| ) |  |
| inline

constructor

virtual STOFFEmbeddedObject::~STOFFEmbeddedObject | ( |  | ) |
| inlinevirtual

destructor

## Member Function Documentation

void STOFFEmbeddedObject::add | ( | librevenge::RVNGBinaryData const & | binaryData,
|  | std::string | type = `"image/pict"`
| ) |  |
| inline

add a picture

Referenced by SDGParser::readBitmap(), and StarObjectSmallGraphic::readSDROutlinerParaObject().

bool STOFFEmbeddedObject::addAsFillImageTo | ( | librevenge::RVNGPropertyList & | propList | ) | const

add the link property to a graph style as bitmap

bool STOFFEmbeddedObject::addTo | ( | librevenge::RVNGPropertyList & | propList | ) | const

add the link property to proplist

Referenced by STOFFGraphicListener::insertPicture(), and STOFFSpreadsheetListener::insertPicture().

int STOFFEmbeddedObject::cmp | ( | STOFFEmbeddedObject const & | pict | ) | const

a comparison function

bool STOFFEmbeddedObject::isEmpty | ( |  | ) | const
| inline

return true if the picture contains no data

Referenced by operator<<(), SDGParser::parse(), and SDGParser::readBitmap().

## Friends And Related Function Documentation

std::ostream& operator<< | ( | std::ostream & | o,
|  | STOFFEmbeddedObject const & | pict
| ) |  |
| friend

operator<<

## Member Data Documentation

std::vector<librevenge::RVNGBinaryData> STOFFEmbeddedObject::m_dataList

the picture content: one data by representation

Referenced by cmp().

std::vector<std::string> STOFFEmbeddedObject::m_typeList

the picture type: one type by representation

Referenced by cmp(), and operator<<().

The documentation for this struct was generated from the following files:

- libstaroffice_internal.hxx
- libstaroffice_internal.cxx